<?php

require_once("../dompdf/dompdf_config.inc.php");
require_once "../dompdf/www/functions.inc.php";
require_once '../app/model/db.class.php';

 $sede = $_REQUEST['sede'];
 $periodo = $_REQUEST['periodo'];
 $jornada =$_REQUEST['jornada'];
 $falta =$_REQUEST['falta'];
 $cantidad =$_REQUEST['cantidad']; 

if (empty($_REQUEST['incr'])) {
    $e = 0;
} else {
    $e = $_REQUEST['incr'];
}
//-----------------------------
if (empty($_REQUEST['parte'])) {
    $p = 1;
} else {
    $p = $_REQUEST['parte'];
}


$obj = new database();
$obj->conectar(); $obj->consulta("set names 'utf8'");

        
$obj->consulta("DELETE from temporal_faltas");

$obj->consulta("INSERT INTO temporal_faltas SELECT matriculas.codigo,CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) AS nombres, matriculas.grado, matriculas.curso, cursos.descripcion
                 FROM (grados INNER JOIN cursos ON grados.codigo = cursos.grado) INNER JOIN (alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo) ON (cursos.codigo = matriculas.curso) AND (cursos.grado = matriculas.grado)
                 WHERE cursos.sede='".$sede."' AND cursos.jornada='".$jornada."' AND matriculas.estado='A' ORDER BY nombres");
  
$nm = $obj->consulta("select * from temporal_faltas");

$tot = $obj->numero_de_filas($nm);

    /*-------------  HTML -----------*/
    
    $html="<html>";
    $html.="<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>";
    $html.="<title></title>";
    $html.="<link rel='stylesheet' type='text/css' href='style.css'/>";
    $html.="<script type='text/javascript' src='consolidado.js'></script>";
    $html.="</head>";

    $html.="<body>";
    $html.="<center>";

    $html.="<table border='0' width='100%'>";
    
     $html.="<tr>";
     $html.="<td width='10%' rowspan='6'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
     
    /*----- NOMBRE DE LA INSTITUCI&oacute;N-SEDE-GRADO-CURSO- ----- */
    
     $datos=$obj->consulta("select * from registrar");
     $row_inst = $obj->fetch_assoc($datos);
     
     $html.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $html.="</tr>";

     // BUSCAMOS EL NOMBRE DE LA SEDE
     
     $descrip_sede=$obj->consulta("select descripcion from sedes where codigo='".$sede."'");
     $row1 = $obj->fetch_assoc($descrip_sede);
     
     $html.="<tr>";
     $html.="<td align='center' colspan='5'>".($row1['descripcion'])."</td>";
     $html.="</tr>";

     $html.="<tr>";
     $html.="<td align='center' colspan='5'>FALTAS ACUMULADAS</td>";
     $html.="</tr>";

     //--------------------------------
       $descrip_f=$obj->consulta("SELECT * FROM faltas WHERE codigo='".$falta."'");
       $row_f = $obj->fetch_assoc($descrip_f);   
     //--------------------------------
 
     $html.="<tr>";
     $html.="<td align='center' colspan='5'>FALTA:".$falta."  - ".($row_f['descripcion'])."</td>";
    
     $html.="</tr>";
     
     // COLOCAMOS FECHA Y EL PERIODO

     $arrayMeses = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio','Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
 
      //--------------------------------
       $des_jor=$obj->consulta("SELECT * FROM jornadas WHERE codigo='".$jornada."'");
       $row_j = $obj->fetch_assoc($des_jor);   
     //--------------------------------
 
          
     $html.="<tr>";
     $html.="<td colspan='5' align='center'>PERIODO    :".$periodo."&nbsp;&nbsp;&nbsp;&nbsp;JORNADA:".($row_j['descripcion'])."</td>";
     $html.="</tr>";
     
     $html.="<tr>";     
     $html.="<td align='center' colspan='5'>".date('d')." de ".$arrayMeses[date('m')-1]." de ".date('Y')."</td>";
     $html.="</tr>";

     $html.="</table></center><br>";


if ($tot > 0) {


           $alumnos=$obj->consulta("SELECT codigo, COUNT(*) Total FROM reporte_faltas where falta='".$falta."' and periodo='".$periodo."' and codigo in (select codigo from temporal_faltas)
                                     GROUP BY codigo HAVING COUNT(*) > 1 ORDER BY Total DESC limit 1,".$cantidad);

           $html.="<center>";
           $html.="<table border='1' width='100%' cellspacing='0' cellpadding='0' class='hovertable'>
            
                    <tr style='text-align:center;font-size: 11px'>
                    <td  width='5%'>No.</td> 
                    <td  width='10%'>CODIGO</td>                      
                    <td style='text-align:center' width='50%'>APELLIDOS Y NOMBRES</td>
                    <td width='15%'>GRADO</td>
                    <td width='15%'>CURSO</td>
                    <td width='15%'>TOTAL FALTAS</td>
                    </tr>";            
            
            $l=1;             
            while($row_plan = $obj->fetch_assoc($alumnos)) {
            
                 $nombre_alum=$obj->consulta("SELECT * FROM temporal_faltas where codigo='".$row_plan['codigo']."'");
                 $row8 = $obj->fetch_assoc($nombre_alum);
                      
                 $html.="<tr style='text-align:center;font-size: 12px'>
                      <td>".$l."</td> 
                      <td>".$row_plan['codigo']."</td>                      
                      <td style='text-align:left'>&nbsp;&nbsp;".($row8['nombres'])."</td>
                      <td>".$row8['grado']."</td>
                      <td style='text-align:left'>&nbsp;&nbsp;".($row8['descripcion'])."</td>
                      <td>".$row_plan['Total']."</td>
                                      
                      </tr>";
                 
                 $l++;
            }

            $html.="</table></center><br>";
           
     $html.="</body></html>";

 $dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('letter','portrait');
$dompdf->render();

$dompdf->stream("Faltas_Acumuladas.pdf", array("Attachment" => false));
  
         
}
      $obj->disconnect();


?>